Package com.xebialabs.xlrelease.domain.events

# Class PhaseCopiedEvent$

java.lang.Object
scala.runtime.AbstractFunction1<Phase,PhaseCopiedEvent>
com.xebialabs.xlrelease.domain.events.PhaseCopiedEvent$

All Implemented Interfaces:
  `Serializable`, `scala.Function1<Phase,PhaseCopiedEvent>`

public class PhaseCopiedEvent$ extends scala.runtime.AbstractFunction1<Phase,PhaseCopiedEvent> implements Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface scala.Function1

  `scala.Function1.UnliftOps<A,B>, scala.Function1.UnliftOps$`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final PhaseCopiedEvent$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhaseCopiedEvent$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PhaseCopiedEvent`
  `apply(Phase phaseCopy)`
  `final String`
  `toString()`
  `scala.Option<Phase>`
  `unapply(PhaseCopiedEvent x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction1

  `andThen, apply$mcDD$sp, apply$mcDF$sp, apply$mcDI$sp, apply$mcDJ$sp, apply$mcFD$sp, apply$mcFF$sp, apply$mcFI$sp, apply$mcFJ$sp, apply$mcID$sp, apply$mcIF$sp, apply$mcII$sp, apply$mcIJ$sp, apply$mcJD$sp, apply$mcJF$sp, apply$mcJI$sp, apply$mcJJ$sp, apply$mcVD$sp, apply$mcVF$sp, apply$mcVI$sp, apply$mcVJ$sp, apply$mcZD$sp, apply$mcZF$sp, apply$mcZI$sp, apply$mcZJ$sp, compose`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final PhaseCopiedEvent$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### PhaseCopiedEvent$

    public PhaseCopiedEvent$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function1<Phase,PhaseCopiedEvent>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction1<Phase,PhaseCopiedEvent>`

  - ### apply

    public PhaseCopiedEvent apply(Phase phaseCopy)
    Specified by:
      `apply` in interface `scala.Function1<Phase,PhaseCopiedEvent>`

  - ### unapply

    public scala.Option<Phase> unapply(PhaseCopiedEvent x$0)